REM
REM  To execute this file, type EXAMPLES from your DOS prompt.
REM
@ECHO OFF
ECHO.
ECHO.
ECHO                                  
ECHO                                 
ECHO                                     
ECHO                                     
ECHO                                     
ECHO                                  
ECHO                                         shareware version 0.96
ECHO.
ECHO   ND has a lot of features, so this batch file is here to quickly show
ECHO you a few things that ND can do.  Anything in all caps is a command you
ECHO can type.  You will be asked to press a key before any command is executed.
ECHO I recommend running it from your hard disk, instead of a floppy, to see
ECHO the full range of ND's capabilities.  You can quit at any time by holding
ECHO down [Control] and pressing the C key.
ECHO.
ECHO --------------------------------------
ECHO Some Quick Ways To Do Things:
ECHO   ND is designed to cut down on how much you have to type.  You will
ECHO   rarely need to type the "*" character, for example.  Say you are looking
ECHO   for the file AUTOEXEC.BAT.  You could type commands like:
ECHO.
PAUSE --- [page break after 23 lines] --- 
ECHO.
ECHO     ND AUTO                          ND will treat this like ND AUTO*.*,
ECHO                                      and find the file.
ECHO.
ECHO     ND .BAT                          This is the same as ND *.BAT
ECHO.
ECHO   If you want to see more than one type of file, go ahead!  You can type
ECHO.
ECHO     ND .EXE .COM .BAT                This will show you all files with any
ECHO                                      of these extensions in the current
ECHO                                      directory.
ECHO.
ECHO --------------------------------------
ECHO Saving Options:
ECHO   Many of the following options can be saved.  Just type ND /option /K to
ECHO   save /option as the new default.  (K=keep)
ECHO.
ECHO   ND has a companion program, NDSETUP, that lets you change all kinds of
ECHO   settings in an easier manner than memorizing a bunch of command line
ECHO   switches.  By running NDSETUP, you can change ND's colors, the list of
ECHO   stored extensions and their colors, and default command line options.
ECHO.
ECHO   If you really feel like saving time, you can even define your own
PAUSE --- [page break after 23 lines] --- 
ECHO   short-cut parameters for commands you use a lot.  For example,
ECHO   one of the default short-cuts that you can use right now is:
ECHO.
ECHO     ND -X                            The same as ND .EXE .COM .BAT, quickly
ECHO                                      showing you all files that can
ECHO                                      eXecute from DOS.  See ND.DOC for more
ECHO                                      info about this feature.
ECHO.
ECHO --------------------------------------
ECHO Columns:
ECHO   ND can use any number of columns from 1 to 8 to display files.  You can
ECHO   choose manually how many to use by typing something like ND /3, for three
ECHO   column output.  If you use ND /0 (the default), the best fit number of
ECHO   columns will be used, so that you can see all your files, and as much
ECHO   information about them as possible (the fewer columns, the more info
ECHO   you can see).
ECHO.
ECHO   -- ND \ /0                       (press a key to execute this command)
ECHO.
PAUSE
ND \ /0
ECHO.
PAUSE
ECHO.
ECHO --------------------------------------
ECHO Directory Sizes:
ECHO   ND can save and automatically display your directory sizes.  Just use the
ECHO   switch /R (The R stands for "recurse subdirectories for size.") to
ECHO   have ND scan all directories under the current one and store their sizes.
ECHO   ND \ /R will start at the root (\) directory and scan the whole drive.
ECHO.
ECHO --------------------------------------
ECHO Sorting:
ECHO   You can have files sorted by name (N), extension (E), size (S),
ECHO   date/time (D), or not at all (NS).  Commands are like ND /OE, for
ECHO   ND Order Extension, just like in DOS.  This will sort your files by
ECHO   extension, from A to Z.  ND /O-E sorts Z to A.
ECHO.
ECHO   -- ND /-G /OS \              (don't group directories first, sort by size
ECHO                                from smallest to biggest, all files in the
ECHO                                root directory.  If you have run ND \ /R
ECHO                                already, this will show you exactly where your
ECHO                                hard drive space is going.)
ECHO.
PAUSE
ND /-G \ /OS
ECHO.
PAUSE
ECHO.
ECHO --------------------------------------
ECHO Lines:
ECHO   ND can use 5 different sets of lines for its borders.  Experiment with
ECHO   ND /L#, where #=1-5 to pick your favorite.  You can save it permanently
ECHO   with ND /L# /K              (k=keep command line options as the default)
ECHO.
ECHO --------------------------------------
ECHO New Wildcards:
ECHO   ND !*.ZIP shows every file that does NOT end in .ZIP.  Another switch, /D,
ECHO   lets you delete files.  This way you could use ND !*.ZIP /D to delete every
ECHO   file in a directory except for a .ZIP file.
ECHO.
ECHO --------------------------------------
ECHO Summary Information Only:
ECHO   Sometimes it's useful just to see how much space a directory, or group
ECHO   of files, is taking up.  ND /I (I=Info) shows this information only, and
ECHO   no actual file names.
ECHO.
ECHO   -- ND \ /I
ECHO.
PAUSE
ND \ /I
ECHO.
PAUSE
ECHO.
ECHO --------------------------------------
ECHO Finding Files:
ECHO   ND /F (F=Find) lets you search for a specific file on an entire directory
ECHO   tree, and quit immediately when you find it.  This is nice for finding a
ECHO   file that you know you have, but you're not sure where it is.
ECHO.
ECHO   -- ND \NDOPS.DAT /F              (let's see where you put NDOPS.DAT, if
ECHO                                     it's on this drive.)
ECHO.
PAUSE
ND \NDOPS.DAT /F
ECHO.
PAUSE
ECHO.
ECHO --------------------------------------
ECHO Showing ND's Default Options:
ECHO   ND /O will display ND's default command line options.  Use NDSETUP or /K
ECHO   to change them.
ECHO.
ECHO   -- ND /O
ECHO.
PAUSE
ND /O
PAUSE
ECHO.
ECHO --------------------------------------
ECHO Searching Subdirectories:
ECHO   ND /S provides a nice way to look at all files under a directory tree.
ECHO   The name of the directory you're looking at will stay at the top of the
ECHO   screen while the file names scroll by, which makes it easier to keep track
ECHO   of what is where.  When you see a snowball character ( - kindof like "*") on
ECHO   the title bar at the top of the screen, it means some of the files in that
ECHO   directory have already scrolled by.
ECHO.
ECHO   -- ND \ /S /P                    (This will show you all files on the
ECHO                                     drive, pausing between screens.  Press
ECHO                                     [ESCAPE] to quit as soon as you get
ECHO                                     bored.)
ECHO.
PAUSE
ND \ /S /P
ECHO.
PAUSE
ECHO.
ECHO Checking an entire drive:
ECHO.
ECHO   -- ND \ /S /I                    (This will give you summary information
ECHO                                     about the entire current drive)
PAUSE
ND \ /S /I
ECHO.
PAUSE
ECHO.
ECHO --------------------------------------
ECHO Finding Text and Binary Files:
ECHO   ND can scan a directory or group of files to see which ones are most likely
ECHO   ASCII text or binary.  This is useful when you are staring at a large group
ECHO   of files, just trying to find one you can read.  The format is ND /TXT
ECHO   for text files, or ND /BIN for binary.
ECHO.
ECHO   -- ND \ /TXT                     (Look for text files in this drive's
ECHO                                     root directory)
ECHO.
PAUSE
ND \ /TXT
ECHO.
PAUSE
ECHO.
ECHO --------------------------------------
ECHO Resetting ND to it's Default Settings:
ECHO   If you ever want to reset ND to it's default colors, line type, sorting
ECHO   order, extension colors, etc., and clear the list of stored directory
ECHO   sizes, type ND /RESET.
ECHO.
ECHO --------------------------------------
ECHO Making Batch Files:
ECHO   This is a more complicated feature - you might want to skip it for now -
ECHO but a potentially very useful one.  The idea is that for each file ND finds,
ECHO it enters a command in a batch file, named NDBATCH.BAT by default.  You can
ECHO later type NDBATCH from the DOS prompt to execute the commands.  The format
ECHO is ND /MB "command" - where command is a shortcut form of the command you
ECHO want to execute.  You can use any of the following wildcards in the command,
ECHO to represent each individual file that ND finds:
ECHO.
ECHO   $F = Filename with subdirectory     Example:  C:\WINDOWS\SYSTEM.INI
ECHO   $N = Filename without subdirectory  Example:  SYSTEM.INI
ECHO   $S = Subdirectory of file           Example:  C:\WINDOWS  (no trailing "\")
ECHO   $X = Filename without extension     Example:  SYSTEM
ECHO   $R = Return/End of Line
ECHO.
PAUSE --- [page break after 23 lines] --- 
ECHO Now, some examples of how this might be useful...
ECHO.
ECHO Suppose we execute the commands:
ECHO.
ECHO   MKDIR \ZIPFILES
ECHO   ND \*.ZIP /S "MOVE $F \ZIPFILES"
ECHO.
ECHO   The idea is to move every .ZIP file on the drive into one directory,
ECHO   \ZIPFILES.  Doing this manually would take quite a while if your .ZIP
ECHO   files are spread out in many subdirectories.  This way, when you look
ECHO   at NDBATCH.BAT, you see something like:
ECHO.
ECHO   MOVE C:\COMM\DNLOADS\ND-096.ZIP \ZIPFILES
ECHO   MOVE C:\WINAPPS\NETSCAPE\NETSCAPE.ZIP \ZIPFILES
ECHO   MOVE C:\MISC\HUMOR\PYTHON.ZIP \ZIPFILES
ECHO   MOVE C:\PICTURES\PLANETS.ZIP \ZIPFILES
ECHO   ...
ECHO.
ECHO   There will be one line for each .ZIP on your drive.  You simply type
ECHO   NDBATCH, and all of the files are moved to the new directory.  If you
ECHO   had 100 .ZIP files, you just saved a *lot* of time.
ECHO.
ECHO Some other examples:
PAUSE --- [page break after 23 lines] --- 
ECHO.
ECHO   Maybe you have a program GIF2JGP, that converts .GIF pictures to .JGP
ECHO   pictures, and you want to convert *all* your .GIF files to .JPG files.
ECHO.
ECHO   ND \*.GIF /S /MB "CD $S$R GIF2JGP $N$R"  would make NDBATCH.BAT like:
ECHO.
ECHO     CD C:\COMM\DNLOADS            (note $R forces an end of line here)
ECHO      GIF2JGP PORSCHE.GIF          (and here)
ECHO.
ECHO     CD C:\PICTURES
ECHO      GIF2JGP MARS.GIF
ECHO     ...
ECHO.
ECHO   This way you only type two commands (ND, then NDBATCH), instead of
ECHO   potentially hundreds!  You could add "DEL $N$R" to the command if you
ECHO   wanted to delete the original .GIF pictures.
ECHO.
ECHO   Note: "GIF" is a trademark of Compuserve.
ECHO.
ECHO   ND \WINDOWS /S /TXT /MB "$N is a text file in the subdirectory $S"
ECHO     This would make a list of all the text files anywhere under the \WINDOWS
ECHO     directory.
ECHO.
PAUSE --- [page break after 23 lines] --- 
ECHO   As you can see, the /MB option has much potential.  You simply
ECHO   have to be creative!

ECHO.
